Package org.springframework.security.web.header.writers.frameoptions

# Class WhiteListedAllowFromStrategy

java.lang.Object
org.springframework.security.web.header.writers.frameoptions.AbstractRequestParameterAllowFromStrategy
org.springframework.security.web.header.writers.frameoptions.WhiteListedAllowFromStrategy

All Implemented Interfaces:
  `AllowFromStrategy`

@Deprecated public final class WhiteListedAllowFromStrategy extends AbstractRequestParameterAllowFromStrategy
Deprecated.
ALLOW-FROM is an obsolete directive that no longer works in modern browsers. Instead use Content-Security-Policy with the frame-ancestors directive.
Implementation which checks the supplied origin against a list of allowed origins.

Since:
  3.2

## Field Summary

### Fields inherited from class org.springframework.security.web.header.writers.frameoptions.AbstractRequestParameterAllowFromStrategy

`log`

## Constructor Summary

Constructors
Constructor
Description
`WhiteListedAllowFromStrategy(Collection<String> allowed)`
Deprecated.
Creates a new instance

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`allowed(String allowFromOrigin)`
Deprecated.
Method to be implemented by base classes, used to determine if the supplied origin is allowed.

### Methods inherited from class org.springframework.security.web.header.writers.frameoptions.AbstractRequestParameterAllowFromStrategy

`getAllowFromValue, setAllowFromParameterName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WhiteListedAllowFromStrategy

public WhiteListedAllowFromStrategy(Collection<String> allowed)
Deprecated.
Creates a new instance

Parameters:
  `allowed` - the origins that are allowed.

## Method Details

### allowed

protected boolean allowed(String allowFromOrigin)
Deprecated.
Description copied from class: `AbstractRequestParameterAllowFromStrategy`
Method to be implemented by base classes, used to determine if the supplied origin is allowed.

Specified by:
  `allowed` in class `AbstractRequestParameterAllowFromStrategy`
Parameters:
  `allowFromOrigin` - the supplied origin
Returns:
  `true` if the supplied origin is allowed.